import { jsx } from "react/jsx-runtime";
import { VectorThree as VectorThree$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const VectorThree = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "VectorThree", ...props, children: /* @__PURE__ */ jsx(VectorThree$1, { weight: variant }) });
  }
);
VectorThree.displayName = "VectorThree";
Object.assign(VectorThree, { isGdsIcon: true });
export {
  VectorThree
};
